classification
Title: test_unicodedata: test_normalization uses network but doesn't depend on network resource
Type: compile error Stage: resolved
Components: Tests Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ammar2, arekm, corona10, miss-islington, terry.reedy
Priority: normal Keywords: easy, patch

Created on 2021-02-06 10:48 by arekm, last changed 2021-02-26 06:21 by corona10. This issue is now closed.

Files
File name Uploaded Description Edit
unicodedata-no-network.patch arekm, 2021-02-06 11:03
Pull Requests
URL Status Linked Edit
PR 24650 merged ammar2, 2021-02-25 15:13
PR 24655 merged miss-islington, 2021-02-26 03:26
Messages (6)
msg386554 - (view) Author: Arkadiusz Miśkiewicz (arekm) Date: 2021-02-06 10:48
Hello.

test_normalization uses network but doesn't depend on network resource,
so it tries to run even when network is disabled when running tests (-u-network)

FAIL: test_normalization (test.test_unicodedata.NormalizationTest)
socket.gaierror: [Errno -3] Temporary failure in name resolution
urllib.error.URLError: <urlopen error [Errno -3] Temporary failure in name resolution>
AssertionError: Could not retrieve http://www.pythontest.net/unicode/13.0.0/NormalizationTest.txt
msg386582 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-02-07 06:28
@arekm

Would you like to submit the patch through Github?
msg386883 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-02-12 21:57
After a week without response, I consider making a PR open to anyone.  Whoever should add "Original patch by ..." in the message part.
The patch is obvious enough that I would be willing to merge if no one else.
msg387363 - (view) Author: Arkadiusz Miśkiewicz (arekm) Date: 2021-02-19 22:59
Sorry. Feel free to commit as own patch. It's trivial.
msg387704 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-02-26 03:24
New changeset c6ccdfb479cb0a4a491575ef0bafaa0d29daae1a by Ammar Askar in branch 'master':
bpo-43144: Mark unicodedata's test_normalization as requiring network (GH-24650)
https://github.com/python/cpython/commit/c6ccdfb479cb0a4a491575ef0bafaa0d29daae1a
msg387709 - (view) Author: miss-islington (miss-islington) Date: 2021-02-26 05:44
New changeset 6c4c11763fad106e43cdcfdbe3bd33ea2765a13f by Miss Islington (bot) in branch '3.9':
bpo-43144: Mark unicodedata's test_normalization as requiring network (GH-24650)
https://github.com/python/cpython/commit/6c4c11763fad106e43cdcfdbe3bd33ea2765a13f
History
Date User Action Args
2021-02-26 06:21:32corona10setstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: - Python 3.8
2021-02-26 05:44:26miss-islingtonsetmessages: + msg387709
2021-02-26 03:26:12miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23440
2021-02-26 03:24:45corona10setmessages: + msg387704
2021-02-25 15:13:15ammar2setnosy: + ammar2

pull_requests: + pull_request23435
stage: patch review
2021-02-19 22:59:13arekmsetmessages: + msg387363
2021-02-12 21:57:39terry.reedysetkeywords: + easy
nosy: + terry.reedy
messages: + msg386883

2021-02-07 06:30:43corona10setversions: + Python 3.8, Python 3.10
2021-02-07 06:28:57corona10setnosy: + corona10
messages: + msg386582
2021-02-06 11:03:40arekmsetfiles: + unicodedata-no-network.patch
keywords: + patch
2021-02-06 10:48:06arekmcreate